
import java.awt.Graphics2D;
import java.awt.Image;
import javax.swing.JLabel;
import jogo.Elemento;
import jogo.JogoTimer;


/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author aluno
 */
public class Bomba extends Elemento{

    private int coordX; // JLabel no Frame principal para representar a coordenada X
    private int coordY;// JLabel no Frame principal para representar a coordenada Y
    /* poderia melhorar isso aqui */
    private Image bomba; // imagem da bomba
    private Image explosao; // imagem da explosao
    private boolean bombaViva; // indica se a bomba ainda nao explodiu
    private int tempoDeVidaDaBomba; // indica o tempo que bomba vai demorar para explodir
    private boolean explodindo; // indica que a bomba esta' explodindo
    private int tempoDeExplosao; // indica o tempo que ira' demorar a explosao
    private int bX; // coordenada X da bomba
    private int bY; // coordenada Y da bomba

    public Bomba(JogoTimer p, String imagemNome, int mx, int my, int coordX, int coordY, Image bomba, Image explosao, boolean bombaViva, int tempoDeVidaDaBomba, boolean explodindo, int tempoDeExplosao, int bX, int bY) {
        super(p, imagemNome, mx, my);
        this.coordX = coordX;
        this.coordY = coordY;
        this.bomba = bomba;
        this.explosao = explosao;
        this.bombaViva = bombaViva;
        this.tempoDeVidaDaBomba = tempoDeVidaDaBomba;
        this.explodindo = explodindo;
        this.tempoDeExplosao = tempoDeExplosao;
        this.bX = bX;
        this.bY = bY;
    }

    @Override
    public void atualizar() {
    }

    @Override
    public void desenhar(Graphics2D g) {
        if (bombaViva) {
            g.drawImage(this.bomba, this.bX, this.bY, this.jogo);
            if (tempoDeVidaDaBomba <= 0) {
                this.bombaViva = false;
                this.explodindo = true;
                this.tempoDeExplosao = this.velocidade * 2;
            }
        }
        if (explodindo) {
            g.drawImage(this.explosao, this.bX, this.bY, this.jogo);
            if (tempoDeExplosao <= 0) {
                this.explodindo = false;
                this.tempoDeExplosao = this.velocidade * 2;
            }
            
        }
        
    }
    
    
    
    
    
}
