/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package jogo;

import java.awt.Graphics2D;
import java.awt.Image;
import java.util.Random;
import javax.swing.ImageIcon;

/**
 *
 * @author aluno
 */
public class Bomba extends Elemento {

    private Image bomba; // imagem da bomba
    private Image explosao; // imagem da explosao
    protected boolean bombaViva; // indica se a bomba ainda nao explodiu
    private int tempoDeVidaDaBomba; // indica o tempo que bomba vai demorar para explodir
    protected boolean explodindo; // indica que a bomba esta' explodindo
    private int tempoDeExplosao; // indica o tempo que ira' demorar a explosao
    Random aux;
    private boolean bombaSegundoEstagio = false;
    private Image bomba3 = (new ImageIcon(this.getClass().getResource("/imagens/bomba3.png"))).getImage();
    private int tempoDeVida2;
    private boolean b;
    private boolean b1;
    private boolean b2;
    private boolean b3;
    private boolean desenha;
    int i;
    private int tamFogo;
    private int tamFogoD;
    private int tamFogoE;
    private int tamFogoC;
    private int tamFogoB;

    public Bomba(JogoTimer p, String imagemNome, int mx, int my, int tFogo) {
        super(p, imagemNome, mx, my);
        this.bomba = this.carregarImagem(imagemNome);//aproveitando o imagemNome para o nome da imagem da bomba
        this.explosao = this.carregarImagem("explosao.png");
        this.bombaViva = true;
        this.tempoDeVidaDaBomba = 180;
        this.explodindo = false;
        this.tempoDeExplosao = 0;
        this.tempoDeVida2 = this.tempoDeVidaDaBomba;
        aux = new Random();
        this.tamFogo = tFogo;
        this.tamFogoD = this.tamFogo;
        this.tamFogoE = this.tamFogo;
        this.tamFogoC = this.tamFogo;
        this.tamFogoB = this.tamFogo;
        // desenha = true;
    }

    //se a bomba ja estiver sido colocada, decremente o tempo de vida dela
    //se a bomba explodiu, decremente o tempo que ela fica explodindo
    @Override
    public void atualizar() {

        if (bombaViva) {
            tempoDeVidaDaBomba -= 10;
        }
        if (explodindo) {
            tempoDeExplosao -= 10;
        }
    }

    //se a bomba foi colocada e ainda nao explodiu
    @Override
    public void desenhar(Graphics2D g) {

        if (bombaViva) {
            //se o tempo de vida da bomba acabar, passa para o estado explodindo
            if (tempoDeVidaDaBomba <= 0) {
                this.bombaViva = false;
                this.explodindo = true;
                this.tempoDeExplosao = this.velocidade * 2;

            }
        }
        // if (tempoDeVidaDaBomba >= 0 && bombaSegundoEstagio == true) {
        // g.drawImage(this.bomba3, this.posX, this.posY, this.jogo);
        //bombaSegundoEstagio = false;
        //}

        //verificando se a bomba esta no estado explodindo e
        //chamando a funcao que mata o jogador atingido
        if (explodindo) {
            g.drawImage(this.explosao, this.posX, this.posY, this.jogo);
            this.jogo.jogadorAtingido(matColuna, matLinha);

            this.jogo.cenario[matLinha][matColuna] = 2;
            //desenhando fogo paraa direita
            for (int m = 1; m <= tamFogoD; m++) {
                if (this.jogo.cenario[matLinha][matColuna + m] != 0) {
                    g.drawImage(this.explosao, this.posX + (m * 40), this.posY, this.jogo);
                    this.jogo.jogadorAtingido(matColuna + m, matLinha);
                    procuraBomba(matLinha, matColuna + m);
                    if (this.jogo.cenario[matLinha][matColuna + m] == 1) {
                        this.jogo.cenario[matLinha][matColuna + m] = 2;
                        tamFogoD = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha][matColuna + m] == 3) {
                        if (tempoDeExplosao < 10) {
                            this.jogo.cenario[matLinha][matColuna + m] = (short) (aux.nextInt(5) + 4);
                        }
                        tamFogoD = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha][matColuna + m] >= 4) {
                        this.jogo.cenario[matLinha][matColuna + m] = 2;
                        tamFogoD = m;
                        m++;
                    }
                } else {
                    tamFogoD = m;
                    m++;
                }
            }

            for (int m = 1; m <= tamFogoE; m++) {
                if (this.jogo.cenario[matLinha][matColuna - m] != 0) {
                    g.drawImage(this.explosao, this.posX - (m * 40), this.posY, this.jogo);
                    this.jogo.jogadorAtingido(matColuna - m, matLinha);
                    procuraBomba(matLinha, matColuna - m);
                    if (this.jogo.cenario[matLinha][matColuna - m] == 1) {
                        this.jogo.cenario[matLinha][matColuna - m] = 2;
                        tamFogoE = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha][matColuna - m] == 3) {
                        if (tempoDeExplosao < 10) {
                            this.jogo.cenario[matLinha][matColuna - m] = (short) (aux.nextInt(5) + 4);
                        }
                        tamFogoE = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha][matColuna - m] >= 4) {
                        this.jogo.cenario[matLinha][matColuna - m] = 2;
                        tamFogoE = m;
                        m++;
                    }
                } else {
                    tamFogoE = m;
                    m++;
                }
            }
            for (int m = 1; m <= tamFogoC; m++) {
                if (this.jogo.cenario[matLinha - m][matColuna] != 0) {
                    g.drawImage(this.explosao, this.posX, this.posY - (m * 40), this.jogo);
                    this.jogo.jogadorAtingido(matColuna, matLinha - m);
                    procuraBomba(matLinha - m, matColuna);
                    if (this.jogo.cenario[matLinha - m][matColuna] == 1) {
                        this.jogo.cenario[matLinha - m][matColuna] = 2;
                        tamFogoC = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha - m][matColuna] == 3) {
                        if (tempoDeExplosao < 10) {
                            this.jogo.cenario[matLinha - m][matColuna] = (short) (aux.nextInt(5) + 4);
                        }
                        tamFogoC = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha - m][matColuna] >= 4) {
                        this.jogo.cenario[matLinha - m][matColuna] = 2;
                        tamFogoC = m;
                        m++;
                    }
                } else {
                    tamFogoC = m;
                    m++;
                }
            }
            for (int m = 1; m <= tamFogoB; m++) {
                if (this.jogo.cenario[matLinha + m][matColuna] != 0) {
                    g.drawImage(this.explosao, this.posX, this.posY + (m * 40), this.jogo);
                    this.jogo.jogadorAtingido(matColuna, matLinha + m);
                    procuraBomba(matLinha + m, matColuna);
                    if (this.jogo.cenario[matLinha + m][matColuna] == 1) {
                        this.jogo.cenario[matLinha + m][matColuna] = 2;
                        tamFogoB = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha + m][matColuna] == 3) {
                        if (tempoDeExplosao < 10) {
                            this.jogo.cenario[matLinha + m][matColuna] = (short) (aux.nextInt(5) + 4);
                        }
                        tamFogoB = m;
                        m++;
                    } else if (this.jogo.cenario[matLinha + m][matColuna] >= 4) {
                        this.jogo.cenario[matLinha + m][matColuna] = 2;
                        tamFogoB = m;
                        m++;
                    }
                } else {
                    tamFogoB = m;
                    m++;
                }
            }
            procuraBomba(matLinha, matColuna);

            if (tempoDeExplosao <= 0) {
                this.explodindo = false;
                //this.tempoDeExplosao = this.velocidade * 2;
            }
        }
        //desenhando a bomba, similar a fazer o jogador piscar
        //tendo um boolean e um contador que decrementa junto com o tempo de vida
        //da bomba. enquanto a bomba nao explode, o boolean alterna entre true
        //e false e desenha os 2 formatos da bomba alternadamente

        if (tempoDeVida2 > 0) {
            tempoDeVida2 -= 10;
            if (bombaSegundoEstagio) {
                g.drawImage(this.bomba3, this.posX + 2, this.posY + 2, this.jogo);
                bombaSegundoEstagio = false;
            } else {
                g.drawImage(this.bomba, this.posX, this.posY, this.jogo);
                bombaSegundoEstagio = true;
            }
        }
    }
   public void procuraBomba(int linha, int coluna){
       for (Bomba bomba : this.jogo.jog1.bombas) {
           if (bomba.matLinha == linha && bomba.matColuna == coluna){
               bomba.tempoDeVidaDaBomba = 0;
               bomba.tempoDeVida2 = 0;
           }
       }
       for (Bomba bomba : this.jogo.jog2.bombas) {
           if (bomba.matLinha == linha && bomba.matColuna == coluna){
               bomba.tempoDeVidaDaBomba = 0;
               bomba.tempoDeVida2 = 0;
           }
       }
   }

}